### Method

# GtkSource Annotations remove_provider

#### Declaration [src]

    gboolean
    gtk_source_annotations_remove_provider (
      GtkSourceAnnotations* self,
      GtkSourceAnnotationProvider* provider
    )

#### Description [src]

Removes a provider.

#### Parameters

`provider`

  Type: `GtkSourceAnnotationProvider`

  A `GtkSourceAnnotationProvider`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the provider was found and removed.